Package org.drinkless.tdlib

# Class TdApi.CreateNewStickerSet

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.StickerSet>
org.drinkless.tdlib.TdApi.CreateNewStickerSet

Enclosing class:
  `TdApi`

public static class TdApi.CreateNewStickerSet extends TdApi.Function<TdApi.StickerSet>
Creates a new sticker set. Returns the newly created sticker set.

Returns `StickerSet`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `name`
  Sticker set name.
  `boolean`
  `needsRepainting`
  Pass true if stickers in the sticker set must be repainted; for custom emoji sticker sets only.
  `String`
  `source`
  Source of the sticker set; may be empty if unknown.
  `TdApi.InputSticker[]`
  `stickers`
  List of stickers to be added to the set; 1-200 stickers for custom emoji sticker sets, and 1-120 stickers otherwise.
  `TdApi.StickerType`
  `stickerType`
  Type of the stickers in the set.
  `String`
  `title`
  Sticker set title; 1-64 characters.
  `long`
  `userId`
  Sticker set owner; ignored for regular users.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CreateNewStickerSet()`
  Default constructor for a function, which creates a new sticker set.
  `CreateNewStickerSet(long userId, String title, String name, TdApi.StickerType stickerType, boolean needsRepainting, TdApi.InputSticker[] stickers, String source)`
  Creates a function, which creates a new sticker set.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Sticker set owner; ignored for regular users.

  - ### title

    public String title
    Sticker set title; 1-64 characters.

  - ### name

    public String name
    Sticker set name. Can contain only English letters, digits and underscores. Must end with *"_by_<bot username>"* (*<botUsername>* is case insensitive) for bots; 0-64 characters. If empty, then the name returned by getSuggestedStickerSetName will be used automatically.

  - ### stickerType

    public TdApi.StickerType stickerType
    Type of the stickers in the set.

  - ### needsRepainting

    public boolean needsRepainting
    Pass true if stickers in the sticker set must be repainted; for custom emoji sticker sets only.

  - ### stickers

    public TdApi.InputSticker[] stickers
    List of stickers to be added to the set; 1-200 stickers for custom emoji sticker sets, and 1-120 stickers otherwise. For TGS stickers, uploadStickerFile must be used before the sticker is shown.

  - ### source

    public String source
    Source of the sticker set; may be empty if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CreateNewStickerSet

    public CreateNewStickerSet()
    Default constructor for a function, which creates a new sticker set. Returns the newly created sticker set.

    Returns `StickerSet`

  - ### CreateNewStickerSet

    public CreateNewStickerSet(long userId, String title, String name, TdApi.StickerType stickerType, boolean needsRepainting, TdApi.InputSticker[] stickers, String source)
    Creates a function, which creates a new sticker set. Returns the newly created sticker set.

    Returns `StickerSet`

    Parameters:
      `userId` - Sticker set owner; ignored for regular users.
      `title` - Sticker set title; 1-64 characters.
      `name` - Sticker set name. Can contain only English letters, digits and underscores. Must end with *"_by_<bot username>"* (*<botUsername>* is case insensitive) for bots; 0-64 characters. If empty, then the name returned by getSuggestedStickerSetName will be used automatically.
      `stickerType` - Type of the stickers in the set.
      `needsRepainting` - Pass true if stickers in the sticker set must be repainted; for custom emoji sticker sets only.
      `stickers` - List of stickers to be added to the set; 1-200 stickers for custom emoji sticker sets, and 1-120 stickers otherwise. For TGS stickers, uploadStickerFile must be used before the sticker is shown.
      `source` - Source of the sticker set; may be empty if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.StickerSet>`
    Returns:
      this.CONSTRUCTOR